de.caff.util.table

## Class FieldBasedPropertyResolver

- java.lang.Object
- - de.caff.util.table.AbstractBasicPropertyResolver
  - - de.caff.util.table.FieldBasedPropertyResolver

- All Implemented Interfaces:
    PropertyResolver

      class FieldBasedPropertyResolver
      extends AbstractBasicPropertyResolver

  Property based on an object's field.
  Author:
    Rammi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldBasedPropertyResolver(java.lang.reflect.Field field)` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static java.lang.String` | `getPropertyNameFromField(java.lang.reflect.Field f)`
    `java.lang.Object` | `getPropertyValue(java.lang.Object object)` Get the value property from a given object.
    `(package private) static boolean` | `isProperty(java.lang.reflect.Field f)` Check whether a field defines a property value.

    - ### Methods inherited from class de.caff.util.table.AbstractBasicPropertyResolver

      `getPropertyName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldBasedPropertyResolver

          public FieldBasedPropertyResolver(@NotNull
                                            java.lang.reflect.Field field)

      Constructor.
      Parameters:
        `field` - field to wrap

  - ### Method Detail

    - #### getPropertyNameFromField

          static java.lang.String getPropertyNameFromField(@NotNull
                                                           java.lang.reflect.Field f)

    - #### isProperty

          static boolean isProperty(@NotNull
                                    java.lang.reflect.Field f)

      Check whether a field defines a property value.
      Parameters:
        `f` - field to check
      Returns:
        `true` if the field defines a property
        `false` if not

    - #### getPropertyValue

          public java.lang.Object getPropertyValue(java.lang.Object object)
                                            throws PropertyResolveException

      Get the value property from a given object.
      Parameters:
        `object` - the object
      Returns:
        the value
      Throws:
        `PropertyResolveException` - on errors during the resolve